octave-image (2.6.2-4) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:39 -0200

octave-image (2.6.2-3) unstable; urgency=medium

  * d/p/skip-unit-test-bwconncomp.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 30 Nov 2017 03:42:43 -0200

octave-image (2.6.2-2) unstable; urgency=medium

  * Refresh patches for new upstream version:
    + d/p/skip-unit-tests-watershed.patch
    + d/p/typo-unit-test-watershed.patch
  * New patches:
    + d/p/skip-unit-test-fftconv2.patch: New patch
    + d/p/skip-unit-test-imrode.patch: New patch
    + d/p/relax-unit-test-otf2psf-psf2otf.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 17 Nov 2017 15:50:04 -0200

octave-image (2.6.2-1) unstable; urgency=medium

  * New upstream version 2.6.2
  * Drop patch es(applied upstream):
    + d/p/error-unit-test-strel.patch
    + d/p/float-precision-i386-unit-tests.patch
  * d/control: Bump Standards-Version to 4.1.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 15 Nov 2017 04:28:08 -0200

octave-image (2.6.1-4) unstable; urgency=medium

  * d/control: Add Testsuite field
  * d/p/float-precision-i386-unit-tests.patch: New patch.
    Try to avoid failure of some unit tests that arises from problems in
    the representation of floating point numbers.  This should fix the
    FTBFS problem on the i386 architecture.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 16 Sep 2017 13:15:04 -0300

octave-image (2.6.1-3) unstable; urgency=medium

  * Fix (or declare as known failure) all failing tests, such that the
    package dos not FTBFS with octave-pkg-dev 1.5.0 (Closes: #874125).
    Patches added:
    + im2bw-unit-test.patch ; New patch
    + typo-unit-test-watershed.patch: New patch
    + skip-unit-tests-watershed.patch: New patch
    + skip-unit-tests-impyramid.patch: New patch
    + skip-unit-tests-edge.patch: New patch
    + drop-unit-tests-grayslice.patch: New patch
    + drop-unit-tests-bwmorph.patch: New patch
    + drop-unit-test-otf2psf.patch: New patch
    + drop-unit-test-nlfilter.patch: New patch
    + error-unit-test-strel.patch: New patch
    + skip-unit-test-cp2tform.patch: New patch
  * d/control:
    + Bump Standards-Version to 4.1.0 (no changes needed)
    + Drop dependency on imagemagick (Closes: #867230)
    + Add gnuplot-nox to Build-Depends

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 10 Sep 2017 16:40:10 -0300

octave-image (2.6.1-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/rules: Pass -ffloat-store option to g++ on i386 architecture.
    This will ensure the precise definition of IEEE floating point, what
    will, hopefully, avoid the endless loop (and the consequent FTBFS) in
    the unit test for bwdist.
    Thanks to Adrian Bunk for the diagnosis of the problem and the
    suggestion of the fix (Closes: #871214)
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL
  * d/control: Bump Standards-Version to 4.0.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 12 Aug 2017 06:36:48 -0300

octave-image (2.6.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.6.1
  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.8 (no changes needed)
  * d/copyright: Reflect upstream changes
  * Bump debhelper compatibility level to 10

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 23 Oct 2016 04:29:06 -0200

octave-image (2.4.1-1) unstable; urgency=medium

  * Imported Upstream version 2.4.1 (Closes: #798444)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 12 Sep 2015 12:19:33 -0300

octave-image (2.4.0-1) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.4.0
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)

  [ Sébastien Villemot ]
  * d/copyright: reflect upstream changes.
  * d/p/use-dpkg-buildflags.patch: drop patch, no longer needed.
  * Bump B-D on octave-pkg-dev to >= 1.3, to enfore Octave 4.0.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 17:55:34 +0200

octave-image (2.2.2-1) unstable; urgency=low

  * Imported Upstream version 2.2.2
  * d/p/prevent-endless-loop-on-i386.diff: Drop patch (applied upstream)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 20 Oct 2014 18:41:56 -0200

octave-image (2.2.1-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Uploaders: set as Rafael Laboissiere.

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * debian/copyright: Comply with DEP-5 specification

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 27 Sep 2014 04:29:13 -0300

octave-image (2.2.1-1) unstable; urgency=medium

  * Imported Upstream version 2.2.1
  * Replace workaround bwdist-noopt.patch by upstream fix.

 -- Thomas Weber <tweber@debian.org>  Tue, 11 Mar 2014 21:23:49 +0100

octave-image (2.2.0-3) unstable; urgency=medium

  * bwdist-noopt.patch: new patch, disables optimization when compiling bwdist.
    Fixes FTBFS on i386.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 22 Feb 2014 14:15:33 +0000

octave-image (2.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 20 Feb 2014 15:20:04 +0000

octave-image (2.2.0-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.2.0
  * Refresh patches for new upstream version
    - autoload-yes.patch: refreshed
    - fftconv2-usage.patch: dropped (applied upstream)
    - use-imerode-and-imdilate.patch: dropped (applied upstream)
    - use-dpkg-buildflags.patch: refreshed
    - use__bwdist__.patch: dropped (applied upstream)
  * Build-Depends on octave-pkg-dev >> 1.0.5.
    This forces the package to be built against octave 3.8.0, at least.
  * Bump to Standards-Version 3.9.5, no changes needed

  [ Sébastien Villemot ]
  * Fix debian/watch, to avoid errors due to the presence of image-acquisition.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 27 Jan 2014 18:51:55 +0100

octave-image (2.0.0-3) unstable; urgency=low

  * Correctly call __bwdist__ from bwdist.m (Closes: #712995)

 -- Thomas Weber <tweber@debian.org>  Tue, 25 Jun 2013 13:21:18 +0200

octave-image (2.0.0-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact

  [ Thomas Weber ]
  * Use canonical URLs for Vcs-* fields
  * Upload to unstable

 -- Thomas Weber <tweber@debian.org>  Tue, 04 Jun 2013 23:32:39 +0200

octave-image (2.0.0-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.0.0
  * debian/clean: Remove this useless file
  * debian/watch: Use the SourceForge redirector
  * debian/copyright: Adjust for the new upstream release
  * Drop patch ismatrix-returns-true-on-string.patch (applied upstream)
  * debian/patches/autoload-yes.patch: New patch
  * Add Lintian override for hardening-no-fortify-functions
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * debian/patches/fftconv2-usage.patch: New patch (Closes: #664716)
  * debian/patches/use-imerode-and-imdilate.patch: New patch

  [ Sébastien Villemot ]
  * use-dpkg-buildflags.patch: New patch

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Nov 2012 14:42:41 +0100

octave-image (1.0.15-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.0.15
  * Drop patch fix-tests (applied upstream)
  * Bump to debhelper compat level 9
  * Bump to Standards-Version 3.9.3, no changes needed
  * Build-depend on octave-pkg-dev >= 1.0.0, to build against Octave 3.6
  * Drop Conflicts on graphicsmagick-imagemagick-compat
  * debian/copyright: update to machine-readable format 1.0
  * Add Sébastien Villemot to the list of Uploaders
  * Add patch ismatrix-returns-true-on-string.patch

 -- Thomas Weber <tweber@debian.org>  Mon, 12 Mar 2012 22:51:53 +0100

octave-image (1.0.14-2) unstable; urgency=low

  * Drop libpng12-dev and libjpeg62-dev from build-dependencies; they are not
    used anymore by the octave-image code files (closes: #635054)

 -- Thomas Weber <tweber@debian.org>  Sat, 23 Jul 2011 11:26:11 +0200

octave-image (1.0.14-1) unstable; urgency=low

  * New upstream release
    - Includes iradon (closes: #615816)
    - Initialize matrix to zero in .cc code, avoiding the use of uninitialized
      memory (closes: #615587)
  * Bump Standards-Version to 3.9.1 (no changes needed)
  * New patch: fix tests, fixes failing unit tests

 -- Thomas Weber <tweber@debian.org>  Thu, 14 Apr 2011 20:21:19 +0200

octave-image (1.0.13-1) experimental; urgency=low

  * New upstream release

 -- Thomas Weber <tweber@debian.org>  Thu, 02 Sep 2010 22:21:27 +0200

octave-image (1.0.12-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571847)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.8.4 (no changes needed)
  * Drop patches (applied upstream):
    - fix_failing_test_in_qtdecomp
    - fix_uppercase_variable
    - replace_obsoleted_spfind

 -- Thomas Weber <tweber@debian.org>  Sat, 22 May 2010 00:06:30 +0200

octave-image (1.0.10-3) unstable; urgency=low

  * New patch: fix_failing_test_in_qtdecomp, fixes some test failures in
    qtdecomp().

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 17 Jan 2010 21:51:36 +0100

octave-image (1.0.10-2) unstable; urgency=low

  * New patch: fix_uppercase_variable, fixes a wrongly uppercased variable
    name (closes: #557579)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 03 Jan 2010 20:40:36 +0100

octave-image (1.0.10-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * New upstream release
  * debian/control:
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
    + (Build-depends): on octave-pkg-dev >= 0.7.0, such that the
      package is built against octave3.2
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

  [ Thomas Weber ]
  * New upstream release
  * This release uses the im* function from octave3.2 (closes: #517902)
  * Use quilt for patches and document that in README.source.
  * New patch: replace_obsoleted_spfind, replaces calls to the obsoleted
    spfind() function with calls to find()

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 29 Dec 2009 09:54:19 +0100

octave-image (1.0.8-3) unstable; urgency=low

  * debian/control:
    + Conflict with graphicsmagick-imagemagick-compat instead of
      alternatively depending on it.  This version of the package only
      works correctly with ImageMagick.  For instance, the parsing of the
      output of the identify command in imread.m is totally broken when
      using GraphicsMagick. Closes: #517903.
    + Bump Standards-Version to 3.8.1 (no changes needed)
  * debian/rules: Drop quilt support

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 12 Apr 2009 16:41:04 +0200

octave-image (1.0.8-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 05 Apr 2009 10:51:17 +0200

octave-image (1.0.8-1) experimental; urgency=low

  * New upstream release
  * patches/rgbplot-map-args.diff: dropped, applied upstream
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 09 Dec 2008 22:28:06 +0100

octave-image (1.0.6.4) unstable; urgency=low

  * Use quilt for patch management
  * /debian/patches/rgbplot-map-args.diff: New patch for fixing the indexing
    of the map matrix in rgbplot.  Thanks to Francesco Potortì for the patch
    (closes: #491878).
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 12 Jul 2008 09:46:53 +0200

octave-image (1.0.6.4) unstable; urgency=low

  * Add OR relationship between graphicsmagick-imagemagick-compat and
    imagemagick (closes: #481399)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Fri, 16 May 2008 09:45:51 +0200

octave-image (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

  [ Thomas Weber ]
  * debian/control: Add dependency on graphicsmagick-imagemagick-compat.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 13 May 2008 15:55:47 +0200

octave-image (1.0.5-1) unstable; urgency=low

  * Initial release (closes: #468504)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sat, 09 Feb 2008 14:02:44 +0100
